# Create a database instance

Create a database instance

Endpoint: POST /v1/orgs/{org}/projects/{project}/dbschema/{dbschema}/instance
Version: 1.0
Security: x-api-key

## Path parameters:

  - `org` (string, required)
    Organization identifier

  - `project` (string, required)
    Project identifier

  - `dbschema` (string, required)
    Identifier of the database schema

## Header parameters:

  - `Harness-Account` (string)
    Identifier field of the account the resource is scoped to. This is required for Authorization methods other than the x-api-key header. If you are using the x-api-key header, this can be skipped.

## Request fields (application/json):

  - `branch` (string)
    branch where the instance is stored
    Example: "main"

  - `connector` (string, required)
    DB Connector
    Example: "postgres-connector"

  - `context` (string)
    Liquibase context

  - `identifier` (string, required)
    identifier of the database instance

  - `name` (string)
    name of the database instance

  - `substituteProperties` (object)
    Placeholder replacement in migration scripts.

  - `tags` (object)
    tags attached to the database instance

## Response 201 fields (application/json):

  - `branch` (string)
    branch where the instance is stored

  - `connector` (string, required)
    DB Connector

  - `context` (string)
    Liquibase context

  - `created` (integer, required)
    epoch seconds when the database instance was created

  - `identifier` (string, required)
    identifier of the database instance

  - `lastAppliedTag` (string)
    Most recent tag applied to the database

  - `lastDeployedChangeSetTag` (string, required)
    Tag on last deployed changeSet

  - `name` (string, required)
    name of the database instance

  - `schemaId` (string)

  - `schemaIdentifier` (string)

  - `substituteProperties` (object)
    Placeholder replacement in migration scripts.

  - `tags` (object)
    tags attached to the database instance

  - `toOnboard` (boolean)

  - `updated` (integer)
    epoch seconds when the database instance was last updated

## Response 400 fields (application/json):

  - `message` (string, required)
    error message detail


